(define-module (ordo prerequisite-data)
  #:use-module (oop goops))

(define-class <prerequisite-data> ())

(define-class <local-file> (<prerequisite-data>)
  (path #:init-keyword #:path #:getter get-path))

(define-method (equal? (x <local-file>) (y <local-file>))
  (equal? (get-path x) (get-path y)))

(define (local-file path)
  (make <local-file> #:path path))

(define-class <local-lookup> (<prerequisite-data>)
  (handler #:init-keyword #:handler #:getter get-handler)
  (args #:init-keyword #:args :getter get-args))
